Mailinglist Archive: opensuse-factory (351 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200609 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Wed, 10 Jun 2020 11:01:27 +0000
  • Message-id: <159178688745.5222.4437680457613530812@go-agent-stagingbot-1>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200609

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
MozillaFirefox (76.0.1 -> 77.0.1)
MozillaThunderbird (68.8.1 -> 68.9.0)
NetworkManager (1.24.0 -> 1.24.2)
PackageKit
bison (3.6.2 -> 3.6.3)
bluedevil5 (5.18.5 -> 5.19.0)
breeze (5.18.5 -> 5.19.0)
breeze-gtk (5.18.5 -> 5.19.0)
chrony
discover (5.18.5 -> 5.19.0)
dracut (050+suse.63.g796e020e -> 050+suse.65.ge1e64674)
drbd-utils
drkonqi5 (5.18.5 -> 5.19.0)
evince (3.36.1 -> 3.36.2)
evolution (3.36.2 -> 3.36.3)
evolution-data-server (3.36.2 -> 3.36.3)
evolution-ews (3.36.2 -> 3.36.3)
exim
festival
fwupd (1.3.9 -> 1.4.2)
gdm
gjs (1.64.2 -> 1.64.3)
glib-networking (2.64.2 -> 2.64.3)
glib2 (2.64.2 -> 2.64.3)
gnome-control-center (3.36.2 -> 3.36.3)
gnome-music (3.36.2 -> 3.36.3)
gnome-photos (3.34.1 -> 3.34.2)
gnome-shell (3.36.2 -> 3.36.3)
gnome-software (3.36.0 -> 3.36.1)
gnome-system-monitor (3.36.0 -> 3.36.1)
gstreamer-plugins-bad
harfbuzz (2.6.5 -> 2.6.7)
iagno (3.36.2 -> 3.36.3)
iproute2 (5.6.0 -> 5.7.0)
iptables (1.8.4 -> 1.8.5)
kactivitymanagerd (5.18.5 -> 5.19.0)
kcm_sddm (5.18.5 -> 5.19.0)
kde-cli-tools5 (5.18.5 -> 5.19.0)
kde-gtk-config5 (5.18.5 -> 5.19.0)
kde-user-manager (5.18.5 -> 5.19.0)
kernel-firmware
kgamma5 (5.18.5 -> 5.19.0)
khotkeys5 (5.18.5 -> 5.19.0)
kinfocenter5 (5.18.5 -> 5.19.0)
kmenuedit5 (5.18.5 -> 5.19.0)
krita
kscreen5 (5.18.5 -> 5.19.0)
kscreenlocker (5.18.5 -> 5.19.0)
ksshaskpass5 (5.18.5 -> 5.19.0)
ksysguard5 (5.18.5 -> 5.19.0)
kwayland-integration (5.18.5 -> 5.19.0)
kwin5 (5.18.5 -> 5.19.0)
kwrited5 (5.18.5 -> 5.19.0)
libcontainers-common (20200306 -> 20200603)
libeconf (0.3.5+git20200203.3144b69 -> 0.3.7+git20200605.c67ef9a)
libgexiv2 (0.12.0 -> 0.12.1)
libkdecoration2 (5.18.5 -> 5.19.0)
libkscreen2 (5.18.5 -> 5.19.0)
libksysguard5 (5.18.5 -> 5.19.0)
libnma
libqmi (1.24.12 -> 1.24.14)
libqt5-qtlocation
libselinux
libsemanage
libvirt (6.3.0 -> 6.4.0)
libzypp (17.23.5 -> 17.23.6)
live555 (2020.04.24 -> 2020.05.15)
mariadb (10.4.12 -> 10.4.13)
mercurial (5.4 -> 5.4.1)
milou5 (5.18.5 -> 5.19.0)
mozilla-nss (3.51.1 -> 3.52.1)
mutter (3.36.2 -> 3.36.3+1)
nautilus (3.36.2 -> 3.36.3)
ncftp
neon (0.30.2 -> 0.31.1)
nghttp2 (1.40.0 -> 1.41.0)
nodejs14 (14.1.0 -> 14.4.0)
obs-service-tar_scm (0.10.15.1588842879.5c43eef -> 0.10.16.1590752286.5c27247)
open-vm-tools
openssh
orca (3.36.2 -> 3.36.3)
oxygen5 (5.18.5 -> 5.19.0)
pam_ssh
patterns-base
pciutils (3.6.4 -> 3.7.0)
pcsc-cyberjack
perl-Bootloader (0.927 -> 0.928)
perl-CGI (4.47 -> 4.48)
plasma-browser-integration (5.18.5 -> 5.19.0)
plasma-nm5 (5.18.5 -> 5.19.0)
plasma5-addons (5.18.5 -> 5.19.0)
plasma5-desktop (5.18.5 -> 5.19.0)
plasma5-integration (5.18.5 -> 5.19.0)
plasma5-openSUSE
plasma5-pa (5.18.5 -> 5.19.0)
plasma5-thunderbolt (5.18.90 -> 5.19.0)
plasma5-workspace (5.18.5 -> 5.19.0)
polari (3.36.2 -> 3.36.3)
policycoreutils
polkit-kde-agent-5 (5.18.5 -> 5.19.0)
poppler (0.88.0 -> 0.89.0)
poppler-qt5 (0.88.0 -> 0.89.0)
powerdevil5 (5.18.5 -> 5.19.0)
python-Mako
python-Twisted (19.10.0 -> 20.3.0)
python-appdirs (1.4.3 -> 1.4.4)
python-certifi (2019.11.28 -> 2020.4.5.1)
python-click (7.1.1 -> 7.1.2)
python-distro
python-fastimport
python-keyring (21.2.0 -> 21.2.1)
python-libvirt-python (6.3.0 -> 6.4.0)
python-lxml (4.5.0 -> 4.5.1)
python-matplotlib
python-packaging (20.3 -> 20.4)
python-pbr (5.4.4 -> 5.4.5)
python-pyparsing
python-python-memcached
python-semanage
python-six (1.14.0 -> 1.15.0)
python-urllib3 (1.25.8 -> 1.25.9)
qemu
qemu-linux-user
redis (6.0.1 -> 6.0.4)
rubygem-websocket-extensions (0.1.4 -> 0.1.5)
samba (4.12.2+git.152.c5bf9f6da52 -> 4.12.3+git.161.208cf9730ee)
shared-mime-info
simple-scan (3.36.2.1 -> 3.36.3)
systemsettings5 (5.18.5 -> 5.19.0)
transmission (2.94 -> 3.00)
vte (0.60.2 -> 0.60.3)
xdg-desktop-portal-kde (5.18.5 -> 5.19.0)
xfce4-cpufreq-plugin
xfce4-sensors-plugin
xkeyboard-config (2.29 -> 2.30)
xorg-x11-server

=== Details ===

==== MozillaFirefox ====
Version update (76.0.1 -> 77.0.1)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 77.0.1
* Disable automatic selection of DNS over HTTPS providers during
a test to enable wider deployment in a more controlled way
(bmo#1642723)
- Mozilla Firefox 77.0
* view and manage web certificates more easily on the new
about:certificate page
* improvements in accessibility
* significant improvements to JavaScript debugging
MFSA 2020-20 (bsc#1172402)
* CVE-2020-12399 (bmo#1631576)
Timing attack on DSA signatures in NSS library
(fixed with external NSS >= 3.52.1)
* CVE-2020-12405 (bmo#1631618)
Use-after-free in SharedWorkerService
* CVE-2020-12406 (bmo#1639590)
JavaScript type confusion with NativeTypes
* CVE-2020-12407 (bmo#1637112)
WebRender leaking GPU memory when using border-image CSS
directive
* CVE-2020-12408 (bmo#1623888)
URL spoofing when using IP addresses
* CVE-2020-12409 (bmo#1619305, bmo#1632717)
Memory safety bugs fixed in Firefox 77 and Firefox ESR 68.9
* CVE-2020-12411 (bmo#1620972, bmo#1625333)
Memory safety bugs fixed in Firefox 77
- requires
* NSS >= 3.52.1
* rust-cbindgen >= 1.14.1
* clang >= 5
- added mozilla-bmo1634646.patch as part of fixing PGO build
(still not working)

==== MozillaThunderbird ====
Version update (68.8.1 -> 68.9.0)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 68.9.0
* fixed: Custom headers added for searching or filtering could
not be removed (bmo#1631577)
* fixed: Calendar: Today Pane updated prior to loading all data
(bmo#1635613)
* fixed: Stability improvements (bmo#1625677)
MFSA 2020-22 (bsc#1172402)
* CVE-2020-12405 (bmo#1631618)
Use-after-free in SharedWorkerService
* CVE-2020-12406 (bmo#1639590)
JavaScript Type confusion with NativeTypes
* CVE-2020-12410 (bmo#1619305, bmo#1632717)
Memory safety bugs fixed in Thunderbird 68.9.0
* CVE-2020-12398 (bmo#1613623)
Security downgrade with IMAP STARTTLS leads to information
leakage

==== NetworkManager ====
Version update (1.24.0 -> 1.24.2)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.24.2:
+ Add a new build option 'firewalld-zone'; when enabled,
NetworkManager installs a firewalld zone for connection sharing
and puts interfaces using IPv4 or IPv6 shared mode in this zone
during activation. The option is enabled by default. Note that
NetworkManager still calls to iptables to enable masquerading
and open needed ports for DHCP and DNS. The new option is
useful on systems using firewalld with the nftables backend,
where the iptables rules would not be sufficient.
+ ifcfg-rh:
- Handle "802-1x.{,phase2-}ca-path". Otherwise setting this
property silently fails and a profile might accidentally not
perform any authentication (CVE-2020-10754).
- Handle 802-1x.pin properties.
+ platform: fix crash detecting device type from netlink.
+ ip-tunnel: only set cloned-mac-address for layer 2 tunnels.
+ Fixes for sanitizer build and valgrind.
+ Various other bugfixes.

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-zypp-ensure-ResPool-before-is_tumbleweed.patch:
zypp: Ensure ResPool is built before is_tumbleweed()
(gh#/hughsie/PackageKit/commit/5c0fd7d7).

==== bison ====
Version update (3.6.2 -> 3.6.3)
Subpackages: bison-lang

- GNU bison 3.6.3:
* Incorrect comments in the generated parsers
* Warnings in push parsers (yacc.c)
* Incorrect display of gotos in LAC traces (lalr1.cc)

==== bluedevil5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: bluedevil5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* [applet] Show toolbar unless Bluetooth hardware is absent
* [applet] Port to Kirigami.PlaceholderMessage
* [applet] Improve tooltip text for single connected device use case
* Remove too strict Qt/KF5 deprecation rule
* Converted to Page with a PlasmoidHeading in the heading
* [Applet] Port to ExpandableListItem
* bump to require Qt 5.14
* [applet] Fix button bar right margin
* [applet] Add tooltip to enable bluetooth checkbox
* [kcm] Drop 'Enable bluetooth integration' setting
* Use consistent highlight
* Set all labels to plain text
* Make it compile against qt5.15.
* Replace generic "Fix it" text with more descriptive actions as (kde#417376)

==== breeze ====
Version update (5.18.5 -> 5.19.0)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers libbreezecommon5-5

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* [kstyle] Ensure that shadows are destroyed after decorated windows
* [style] Reparent window shadows to widgets
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Add mobile-friendly versions
* Revert unnecessary wallpaper plugin name change
* Use "Flow" wallpaper for Plasma 5.19
* Phrase active window titlebar separator option more accurately (kde#420753)
* Use the same icon mode calculation for comboboxes as for buttons
* Fix variable mixup
* Don't set a custom palette if we have the same palette as the currently
active one
* Drop QWindow and explicit devicePixelRatio usage for ComboBox
* Color icons in titlebar if possible
* Apply the correct palette to icons
* Remove unused methods
* Add missing includes
* [kstyle] Properly unregister widgets in ShadowHelper
* [kstyle] Use QX11Info::isCompositingManagerRunning()
* [kstyle] Drop Helper::connection()
* [kstyle] Unregister a shadow when it's destroyed (kde#416854)
* Update my last name
* Delete unused property name
* Port connections to new syntax
* now that qt4 was dropped we can use specific ECM/Qt/KF5 version
* [kstyle] Port to KWindowSystem shadows API
* [kstyle] Drop Qt 4 style plugin
* Center only during drawing, not the hit rects (kde#416348)
- Drop Qt4 support:
* breeze4-style.spec
* breeze4-style.changes
* add-support-for-Q3ListView-to-the-KDE4-style.patch

==== breeze-gtk ====
Version update (5.18.5 -> 5.19.0)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Drop appmenu-gtk-module in settings.ini
* Add default settings for Breeze GTK
* [GTK3] Rename colour definitions

==== chrony ====

- Add chrony-pool-suse and chrony-pool-openSUSE subpackages that
preconfigure chrony to use NTP servers from the respective
pools for SUSE and openSUSE (bsc#1156884, SLE-11424).
- Add chrony-pool-empty to still allow installing chrony without
preconfigured servers.
- Use iburst in the default pool statements to speed up initial
synchronisation (bsc#1172113).

==== discover ====
Version update (5.18.5 -> 5.19.0)
Subpackages: discover-backend-flatpak discover-backend-fwupd
discover-backend-packagekit discover-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* Fix a merge conflict in the appdata file
* fwupd: discard search if the url is present but is not for fwupd
* Disable session management for Discover (kde#415874)
* applist: Properly allocate space for the fetching text as well (kde#418304)
* updates: Make sure the progressbar doesn't overflow (kde#421619)
* Hardcode more colorSets
* Hardcode fewer colorSets (kde#421571)
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.
* flatpak: Don't issue commands when cancelled (kde#404622)
* fix toplevels test
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Too many changes to list here

==== dracut ====
Version update (050+suse.63.g796e020e -> 050+suse.65.ge1e64674)

- Update to version 050+suse.65.ge1e64674:
* Add wicked specific config files (bsc#1089333)
* Run format_spec_file

==== drbd-utils ====

- bsc#1172641, fix the link error of setup_option.
Add patch link-error-setup_option.patch

==== drkonqi5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: drkonqi5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* initialize bools to false by default (kde#421187)
* Don't leak DrKonqi dialog / fix crash on wayland
* bump to require Qt 5.14
* Read the new message string after rather than before
* Use SyntaxHighlighter for highlighting
* Adapt to changes in kcrash
* [DrKonqi] Port QRegExp to QRegularExpression
* Bump required version of KF5 to 5.69.0
* Reduce unneeded dependencies
* skip over _start and __libc_start_main
* style++
* Include s_kcrashErrorMessage in our traces
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.
* Port away from deprecated API on Qt 5.15.0
* fix windows compilation, QString.sprintf() is deprecated

==== evince ====
Version update (3.36.1 -> 3.36.2)
Subpackages: evince-lang evince-plugin-comicsdocument
evince-plugin-djvudocument evince-plugin-dvidocument evince-plugin-pdfdocument
evince-plugin-tiffdocument evince-plugin-xpsdocument libevdocument3-4
libevview3-3 nautilus-evince typelib-1_0-EvinceDocument-3_0
typelib-1_0-EvinceView-3_0

- Update to version 3.36.2:
+ shell: check type of window/sidebar objects.
+ build: Use lowercase for project name in meson.
+ Updated translations.

==== evolution ====
Version update (3.36.2 -> 3.36.3)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin
evolution-plugin-text-highlight

- Update to version 3.36.3:
+ mail_execute_shell_command: Add logging for easier debugging
+ ECompEditorPageSchedule: Fix some minor issues reported by
Coverity Scan
+ MessageList: Update localized re values only if the setting
changed
+ EWebDAVConfigLookup: Clear output GError before using it
+ help:
- Fix broken Catalan help translation
- Add missing file to CMakeLists.txt
+ Bugs fixed: glgo#GNOME/evolution#821, glgo#GNOME/evolution#884,
glgo#GNOME/evolution#906, glgo#GNOME/evolution#909,
glgo#GNOME/evolution#914, glgo#GNOME/evolution#915,
glgo#GNOME/evolution#917, glgo#GNOME/evolution#923,
glgo#GNOME/evolution#925, glgo#GNOME/evolution#929,
glgo#GNOME/evolution#947, glgo#GNOME/evolution-ews#99.
+ Updated translations.

==== evolution-data-server ====
Version update (3.36.2 -> 3.36.3)
Subpackages: evolution-data-server-lang libcamel-1_2-62 libebackend-1_2-10
libebook-1_2-20 libebook-contacts-1_2-3 libecal-2_0-1 libedata-book-1_2-26
libedata-cal-2_0-1 libedataserver-1_2-24 libedataserverui-1_2-2

- Update to version 3.36.3:
+ CamelFilterDriver: do_shell: NULL-terminate the arguments array
+ CollectionBackend: Limit how often checks for new child sources
+ Bugs fixed: glgo#GNOME/evolution-data-server#101,
glgo#GNOME/evolution-data-server#210,
glgo#GNOME/evolution-data-server#211,
glgo#GNOME/evolution-data-server#212,
glgo#GNOME/evolution-data-server#213,
glgo#GNOME/evolution-data-server#219,
glgo#GNOME/evolution#915.

==== evolution-ews ====
Version update (3.36.2 -> 3.36.3)
Subpackages: evolution-ews-lang

- Update to version 3.36.3:
+ EEwsNotification: Change how subscription to server change
notifications work
+ Add parameter check into ews_get_error_code()
+ Bugs fixed: glgo#GNOME/evolution-ews#99,
glgo#GNOME/evolution-ews#102, glgo#GNOME/evolution-ews#103.

==== exim ====

- bring in changes from current +fixes (lots of taint check fixes)
* Bug 1329: Fix format of Maildir-format filenames to match other mail-
related applications. Previously an "H" was used where available info
says that "M" should be, so change to match.
* Bug 2587: Fix pam expansion condition. Tainted values are commonly used
as arguments, so an implementation trying to copy these into a local
buffer was taking a taint-enforcement trap. Fix by using dynamically
created buffers.
* Bug 2586: Fix listcount expansion operator. Using tainted arguments is
reasonable, eg. to count headers. Fix by using dynamically created
buffers rather than a local. Do similar fixes for ACL actions "dcc",
"log_reject_target", "malware" and "spam"; the arguments are expanded
so could be handling tainted values.
* Bug 2590: Fix -bi (newaliases). A previous code rearrangement had
broken the (no-op) support for this sendmail command. Restore it
to doing nothing, silently, and returning good status.

==== festival ====

- Added speech_tools-remove-errneous-decl.patch to fix build error
at Tumbleweed (Thanks to github's commit:
https://github.com/festvox/speech_tools/pull/21).

==== fwupd ====
Version update (1.3.9 -> 1.4.2)
Subpackages: fwupd-lang libfwupd2 libfwupdplugin1 typelib-1_0-Fwupd-2_0

- Update to version 1.4.2:
* vli: Add no-guid-matching for all VLI devices
* vli: Remove a copy-and-paste mistake
* Add two OUI quirks
* ata: Add WD OUI quirk 000cca
* synaptics-rmi: Essentially blacklist Dell K12A
* dfu: Avoid communicating when bitManifestationTolerant is off
* ata: Add OUI quirk for Western Digital
* dfu: Support MATEKF722SE quirk
* Fix various build issues with -Wdiscarded-qualifiers
* thunderbolt/dell-dock: Delay activation for Thunderbolt updates
* Switch the default of EnumerateAllDevices to false
* Add OUI quirk for SanDisk
* vli: Add two standard USB instance IDs for shared-PD devices
* vli: Use GPIOB to reset the VL817 found in two Lenovo products
* tpm-eventlog: Correct the display of final calculated PCRs
* wacom-raw: fixup switching to bootloader mode
- Update to version 1.4.1:
* thunderbolt: Don't show safe mode errors for USB4 host controllers
* ep963x: Various changes to make the plugin actually work on real hardware
* Make tss2-esys conditional
* ep963x: Remove some dead code spotted by Coverity
* ccgx: Only update the FW2 partition of the ThinkPad USB-C Dock Gen2
* ccgx: Expand the FWImageType for future hardware
* Allow specifying the device on the command line by GUID
* Fix the DeviceID set by GetDetails
* wacom-usb: Fix a theoretical buffer over-read to make GCC happy
* vli: Only show the i2c devices on the USB3 hub
* Allow devices to be updatable, but only when upgrading a proxy device
* Reset the progressbar time estimate if the percentage is invalid
* ccgx: Always report 100% when finished writing
* Add a device quirk that forces an explicit device-id match
* ccgx: Set the device name and summary from quirk files
* vli: Only do the APP5 FW bug fix on affected hardware
* vli: Show all the buffer when debugging with FWUPD_VLI_USBHUB_VERBOSE
* fu-engine: Refresh device name and format before setting supported flag
* Allow a device to set the logical or physical ID during ->setup()
* ccgx: Split out a trivial helper to set the instance IDs
* ccgx: Set the device name to be more useful
* ccgx: Set the logical ID as the FwMode
* ccgx: Split out a trivial function to set the version
* ccgx: Do not reboot the device write after installing
* ccgx: Do no show the flash parameters when unknown
* Allow devices to match the proxy device by GUID
* Do not skip attach() if the device is marked _WILL_DISAPPEAR
* dell-dock: Port to using fu_device_get_proxy()
* Allow adding a device 'proxy' device that can do actions on it
* vli: Do not show the USB 2 recovery devices for USB 3 hubs
* vli: Add metadata to identify which is the same physical device
* uefi: correctly format firmware version of Dynabook (né Toshiba) X30, X40
and probably others
* synaptics-cxaudio: Use the ->attach() device vfunc
* synaptics-cxaudio: Wait for the device to reboot after writing firmware
* logitech_hidpp: decrease verbosity of messages that hid++ ID is missing
* Prefer to update the child first if the order is unspecified
* Do not modify the device priority for child devices
- Exclude fwupdate from the architectures without UEFI support.
- Update to version 1.4.0:
* Release fwupd 1.4.0
* Allow removing device flags from quirk files
* Use black to format python source in a consistent manner
* Define SOURCE_VERSION when building a package
* Only set the parent when adopting children
* Do not conditionalize attach() and detach() on IS_BOOTLOADER
* Do not crash the daemon if a plugin does something dumb
* wacom-usb: Add more sanity checks in case the daemon goes crazy
* wacom-usb: Use a per-device cleanup function
* Add some more device regression tests
* wacom-usb: Add a lot of missing metadata about the devices
* wacom-usb: Hide a lot of debugging behind FWUPD_WACOM_VERBOSE
* Only auto-add counterpart GUIDs when required
* ccgx: remove update message
* ccgx: add parent guid for hybrid dock
* ccgx: Use a smaller timeout for i2c read and write operations
* ccgx: Retry the register read and write with a i2c reset
* ccgx: Fix buffer overflow when reading out i2c status
* ccgx: Retry the HID disconnect up to 5 times
* ccgx: Show a better error message on failure
* ccgx: Allow forcing firmware of the wrong app_type with fwupdtool
* Modularize the hardware tests
* Ignore indirect devices that replug during the composite firmware update
* Export the device state as part of the D-Bus interface
* Fix devices that use CounterpartGuid when more than one device is installed
* Use the GUID as a fallback rather than the connection ID
* ccgx: Fix critical warning on i2c write failure
* logitech-hidpp: Do not add peripheral devices for receiver in BL mode
* Install the installed-tests only if tests are enabled
* Load the signature to get the aliased CDN-safe version of the metadata
* vli: Only reboot the USB hub once
* synaptics-cxaudio: Only use the PATCH2 address when the patch level is 2
* add STM32F745 stm dfuse quirk
* dfu: Add a way to set the timeout from a quirk
* Export the release urgency
* Export the release creation time
* Check the firmware requirements before adding SUPPORTED
* data/motd/fwupd-refresh: Only order after network.target
* ccgx: Do not add the HID device that will disconnect
* ccgx: Use Silicon ID and Application type to set flash parameters
* Add a new daemon configuration option to control EnumerateAllDevices
* logitech_hidpp: set the bootloader protocol
* Install meson from pip for LGTM
* bash: add completion for fwupdtool reinstall
* fu-tool: add reinstall command
* fu-engine: export fu_engine_get_releases_for_device in header
* vli: Wait for the VL103 to timeout to fix detach
* ccgx: Show the UpdateMessage in the correct device mode
* ccgx: Add extra instance IDs to match specific firmware
* Use a static version number
* thunderbolt: Rather than hardcoding to PCI slot numbers, use domain in GUID
* Revert "thunderbolt: Create a unique GUID including Thunderbolt controller
path"
* dell-dock: Port to fu_device_retry()
* nitrokey: Convert to use FuHidDevice
* nitrokey: Port to fu_device_retry()
* vli: Port to fu_device_retry()
* Add fu_device_retry() helper functionality
* ccgx: Implement writing firmware to flash
* ccgx: Add i2c status check when reading or writing registers
* ccgx: Add 5ms delay between read registers to avoid an i2c error
* libfwupdplugin: Use fu_device_locker_close()
* synaptics-mst: Use fu_device_locker_close()
* Add fu_device_locker_close()
* ccgx: Do not store the silicon ID in the image address
* ccgx: Add device quirks for the Lenovo Hybrid Dock
* ccgx: Switch HID mode to HPI mode at startup
* ccgx: Clear the event queue when in startup
* ccgx: Wait for hardware to settle when coming out of reset
* ccgx: Do not mark the device as updatable when in boot mode
* ccgx: Verify the firmware app type when preparing firmware
* ccgx: Set the update message when running in backup firmware
* ccgx: Read the FwAppType from the hardware
* ccgx: Set the HPI version number for the current firmware
* ccgx: Get the silicon ID to map the flash parameters
* ccgx: Read the HPI device mode at startup
* ccgx: Set up the HPI I²C config at startup
* ccgx: Create devices when in HID and I2C modes
* Add a new ChromeOS CI target to build without GPG and PKCS7
* Use Jcat files in firmware archives and for metadata
* csr: Allow truncated HID reads
* vli: Only consider the high nibble when building the sub-version
* csr: Parse the firmware as a DFU file
* Add support for EP963x hardware
* Add FuHidDevice abstraction
* vli: Correctly attach VL103 after a firmware update
* ccgx: Parse the metadata block in the firmware image
* ccgx: Add a firmare parser for cyacd files
* logitech: Correctly set the protocol
* Add the optional device-id to the update --help output
* Fix a difficult-to-trigger daemon hang when replugging devices
* vli: Remove a dock device from the whitelist that is never going to be
updated
* vli: Add some trivial debugging to help track down a bug
* vli: Never add USB hub devices that are not upgradable
* uefi: Don't use shim for non-secure boot configurations
* Start fwupd-activate.service after snapd.service
* dfu: Actually reload the DFU device after upgrade has completed
* dfu: Add one more m-stack device requiring a quirk
* Apply version format to releases and devices at same time
* Ensure that the DeviceID is set for child devices
* Fix a daemon crash when removing children
* Allow waiting for the parent device when replugging
* Add fu_device_get_root() shared API
* vli: Fix an error when detaching MSP430
* vli: Fix a critical warning when getting the USB speed
* vli: Fix the error enum values for the MSP430
* Do not add blank lines when tokenizing Intel hex files
* vli: Fix the version calculation for MSP430
* vli: Ignore one more error when attaching
* vli: Always expect the VL103 header at 0x1003 or 0x4000
* vli: Do not fall back to the recovery write for usbhubs
* vli: Only show the 2nd header if the device ID is valid
* vli: Fix VL103 reboot from ROM mode to FW mode
* vli: Add some better comments for writing GPIOs
* Add a helper script to add a DFU header
* Add 'firmware-convert' subcommand to fwupdtool
* fu-engine: Make two passes of requirements checking
* fu-engine: Copy the VersionFormat from the CAB if specified in `get-details`
* Add a new plugin for CPU microcode
* Don't build/install fwupdagent man page if agent build is not requested
* Introduce a new VersionFormat for `hex`
* Drop UEFI quirks we now inherit from metadata
* ci: build Debian using libflashrom
* When TPM PCR0 measurements fail, query if secure boot is available and
enabled
* fix fwupd.shutdown.in according to the movement of fwupdtool to bindir
* ata: Add OUI quirk for Western Digital and Intel
* improved fish shell completion
* vli: Set the MSP430 version format to pair
* Always return AppStream markup for remote agreements
* ata: Add trivial OUI quirk for Micron
* added completion script for fish shell
* Do not fail loading in /etc/machine-id is not available
* Use xb_builder_source_add_simple_adapter
* Create FuCabinet and untangle a lot of legacy code
* nvme: Do not try to handle integer version numbers
* Allow server metadata to set the version format on some devices
* fu-tool: Correctly append the release to devices in `get-details`
* For the `get-details` command make sure to always show devices
* fu-engine: Copy the version and format from donor device in get-details
* fu-engine: Use unknown for version format by default on get-details
* Inihbit all power management actions using logind when updating
* Decouple the version format from the version itself
* Add raw versions for bootloader and lowest
* Allow server metadata to set the device name on some devices
* Remove support for GCab less than v1.0
* fu-device-list: Check protocol before de-duping devices
* Do not allow devices that have no vendor ID to be UPDATABLE
* ata: Include a vendor ID for ATA hardware
* ata: Switch off the verbose logging by default
* Always check for PLAIN when doing vercmp() operations
* Discard the reason upgrades aren't available (Fixes: #1678)
* Improve the description of `fwupdtpmevlog` for man page
* Move `fwupdtpmevlog` into `bindir`
* uefi: Move `fwupdate` into `bindir`
* Move `fwupdtool` and `fwupdagent` into `bindir`
* Use the system provided flashrom on Fedora
* Add a plugin vfunc to run after subclassed FuDevice creation
* ci: use standalone script to generate build dependencies
* Move the daemons from /usr/lib/fwupd to /usr/libexec/fwupd
* Use the recently released flashrom v1.2
* Generate an additional UEFI quirk file using the stable LVFS metadata
* uefi: Apply capsule update even with single valid capsule
* Fix a critical warning when installing some firmware
* ebitdo: Fix the endpoint address logged in the error message
* uefi: Find the correct lds and crt name when specifying -Defi_ldsdir
* upower: Move battery threshold declaration into a configuration file
* upower: Decrease minimum battery requirement to 10%
- Refresh fwupd-bsc1130056-change-shim-path.patch
- Add new dependency: jcat

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update gdm-add-runtime-option-to-disable-starting-X-server-as-u.patch:
When user session reuses tty7 same as greeter session, gdm
doesn't bring up the greeter session after switching from other
tty to tty7 (bsc#1171290).

==== gjs ====
Version update (1.64.2 -> 1.64.3)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.64.3:
+ Closed bugs and merge requests:
- arg: Don't sink GClosure ref if it's a return value.
- overrides/Gtk: Adjust gtk_container_child_set_property()
check.
- 1.63.3: test suite is failing.
- Simplify private pointers.
+ Various backports:
- Use memory GSettings backend in tests.
- Update debug message from trimLeft/trimRight to
trimStart/trimEnd.
- Various fixes for potential crash and memory issues.

==== glib-networking ====
Version update (2.64.2 -> 2.64.3)
Subpackages: glib-networking-lang

- Update to version 2.64.3:
+ Revert warning when server-identity property is unset.
+ Fix CVE-2020-13645, fail connections when server identity is
unset.

==== glib2 ====
Version update (2.64.2 -> 2.64.3)
Subpackages: glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0

- Update to version 2.64.3:
+ Stability improvements for various unit tests.
+ Bugs fixed: glgo#GNOME/GLib#1954, glgo#GNOME/GLib#2094,
glgo#GNOME/GLib!1470, glgo#GNOME/GLib!1471,
glgo#GNOME/GLib!1473, glgo#GNOME/GLib!1478,
glgo#GNOME/GLib!1483, glgo#GNOME/GLib!1484,
glgo#GNOME/GLib!1486, glgo#GNOME/GLib!1495,
glgo#GNOME/GLib!1501.
+ Updated translations.

==== gnome-control-center ====
Version update (3.36.2 -> 3.36.3)
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Update to version 3.36.3:
+ Users:
- Show add user button also if no users found.
- Show permissions toolbar also if no users found.
+ Updated translations.

==== gnome-music ====
Version update (3.36.2 -> 3.36.3)
Subpackages: gnome-music-lang

- Update to version 3.36.3:
+ Fix a crash in SearchView.
+ Handle missing change notification case.
+ Updated translations.

==== gnome-photos ====
Version update (3.34.1 -> 3.34.2)
Subpackages: gnome-photos-lang gnome-shell-search-provider-gnome-photos

- Update to version 3.34.2:
+ Bugs fixed: glgo#GNOME/gnome-photos!120,
glgo#GNOME/gnome-photos!126, glgo#GNOME/gnome-photos!127,
glgo#GNOME/gnome-photos#149.
+ Updated translations.

==== gnome-shell ====
Version update (3.36.2 -> 3.36.3)
Subpackages: gnome-shell-calendar gnome-shell-lang

- Update to version 3.36.3:
+ Add gnome-shell-extension-prefs wrapper for compatibility.
+ Fix distorted fallback icons in top bar.
+ Lower timeout for scrolling in overview.
+ Only start systemd units when running under systemd.
+ Fix "ghost" media controls.
+ Fix zombie sockets from extensions downloader.
+ Update world clocks offsets when timezone changes.
+ Fix "Do Not Disturb" setting getting reset on startup.
+ Fix pad OSD glitches.
+ Fix matching notifications by PID.
+ Only allow updates for extensions that aren't cached.
+ Fixed various crashes.
+ Misc. bug fixes and cleanups.
+ Updated translations.
- Drop gnome-shell-panel-center-app-icon.patch: Fixed upstream.

==== gnome-software ====
Version update (3.36.0 -> 3.36.1)
Subpackages: gnome-software-lang

- Update to version 3.36.1:
+ Add distro upgrade css for the HC theme.
+ Check if a stock icon actually exists in the theme.
+ Correctly mark layered local packages as removable.
+ Fine-tune F32 upgrade banner position and font.
+ Fix loading if applications directory does not exist.
+ Fix the progress info required for the loading page.
+ Handle invalid snap auth data.
+ Improve performance when showing lots of applications.
+ Only delete the installed firmware archive if we downloaded it.
+ Properly check if an flatpak application is a runtime.
+ Show the correct state for local packages without AppData.
+ Updated translations.
- Re-autostart GNOME Software and re-enable its search extension
(bsc#1168861, bsc#1157928).

==== gnome-system-monitor ====
Version update (3.36.0 -> 3.36.1)
Subpackages: gnome-system-monitor-lang

- Update to version 3.36.1:
+ Bugs fixed: glgo#GNOME/gnome-system-monitor#142.
+ Updated translations.

==== gstreamer-plugins-bad ====
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstisoff-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgstsctp-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0

- Add gst-plugins-bad-neon-bump.patch: meson: build with neon 0.31.

==== harfbuzz ====
Version update (2.6.5 -> 2.6.7)
Subpackages: libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to version 2.6.7:
+ Update to Unicode 13.0.0
+ Fix hb_ot_layout_get_ligature_carets for fonts without lcar
table
- includes fixes from 2.6.6:
* A fix in AAT kerning for Geeza Pro

==== iagno ====
Version update (3.36.2 -> 3.36.3)
Subpackages: iagno-lang

- Update to version 3.36.3:
+ Updated translations.

==== iproute2 ====
Version update (5.6.0 -> 5.7.0)

- Update to release 5.7
* macsec: add support for reporting and changing the offloading
mode (`ip macsec offload`).

==== iptables ====
Version update (1.8.4 -> 1.8.5)
Subpackages: libip4tc2 libip6tc2 libxtables12 xtables-plugins

- Update to release 1.8.5
* IDLETIMER: Add alarm timer option
* nft: CT: add translation for NOTRACK
- Drop iptables-apply-mktemp-fix.patch (seemingly applied)

==== kactivitymanagerd ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kactivitymanagerd-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove .clang-format
* Remove too strict Qt/KF5 deprecation rule
* bump to require Qt 5.14
* Support execution of shell scripts on activity events
* Require C++17
* No need to use QSet for activity existence checking (kde#418839)
* Remove usage of KDBusConnectionPool
* Port QProcess::startDetached deprecated method

==== kcm_sddm ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kcm_sddm-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* Make it compile against qt5.15. ::unite is deprecated.
- Refresh patches:
* 0002-Replace-autologin-configuration-with-a-note-to-use-Y.patch

==== kde-cli-tools5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kde-cli-tools5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove compile without deprecated method
* bump to require Qt 5.14
* [kioclient] Fix 'kioclient5 --commands' usage messages
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.
* Remove allowAsDefault() usage, no app is using this
* [kcmshell] Drop kdeinit

==== kde-gtk-config5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* Remove kiconthemes dependency
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* [GTK Config] Apply color scheme to GTK3 applications
* [GTK Config] Parameterise GTK config editing
* Improve CMake handling of GNOME libraries
* [GTK Config] Port all settings to KConfigWatcher
* Add missing license header to color-reload-module/reloader.c
* [GTK3] Add module to reload colorscheme in GTK3 apps without restarting them
* [Gtk Config] Port cursor theme sync to KConfigWatcher
* Provide better name for GTK Settings Sync service

==== kde-user-manager ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kde-user-manager-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Add photographic user avatars
* Remove human avatars
* Fix a building issue
* Warn user when changing selected user about potential data loss
* Hide irrevelevant default button, code clean and future proofing

==== kernel-firmware ====
Subpackages: kernel-firmware-all kernel-firmware-amdgpu kernel-firmware-ath10k
kernel-firmware-atheros kernel-firmware-bluetooth kernel-firmware-bnx2
kernel-firmware-brcm kernel-firmware-chelsio kernel-firmware-dpaa2
kernel-firmware-i915 kernel-firmware-intel kernel-firmware-iwlwifi
kernel-firmware-liquidio kernel-firmware-marvell kernel-firmware-media
kernel-firmware-mediatek kernel-firmware-mellanox kernel-firmware-mwifiex
kernel-firmware-network kernel-firmware-nfp kernel-firmware-nvidia
kernel-firmware-platform kernel-firmware-qlogic kernel-firmware-radeon
kernel-firmware-realtek kernel-firmware-serial kernel-firmware-sound
kernel-firmware-ti kernel-firmware-ueagle kernel-firmware-usb-network ucode-amd

- Don't require coreutils, only mkdir and touch are used

==== kgamma5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kgamma5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove too strict Qt/KF5 deprecation rule
* bump to require Qt 5.14

==== khotkeys5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: khotkeys5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Port khotkeys to KIO's ApplicationLauncherJob & CommandLauncherJob
* Launch qdbusviewer with CommandLauncherJob. Tested, works.
* bump to require Qt 5.14
- Refresh patches:
* 0001-Use-qdbus-qt5-and-qdbusviewer-qt5.patch

==== kinfocenter5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kinfocenter5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* use better strings for dri devices
* bump to require Qt 5.14
* view1394: initialize OuiDb only when needed
* view1394: try to load OUI data from system location
* view1394: isolate DB loading in own function
* Optimize message extraction
* don't hold initdness in a static var (kde#417466)
* improve some previously recycled strings
* add gpu entry to about system (kde#355053)
* refactor about-distro to more generically support textual dumps
* cleanup devinfo header includes
* add trivial systemsettings finder and mark it as RUNTIME dep
* Restore config-x11 header file
* Kill the KinfoCenter binary
* Remove unused includes
- Refresh patches:
* plasma-session-name.patch

==== kmenuedit5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kmenuedit5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove too strict Qt/KF5 deprecation rule
* [KMenuEdit] Port QRegExp to QRegularExpression
* bump to require Qt 5.14
* Drop kdeinit

==== krita ====
Subpackages: krita-lang

- Add patch to fix build with Qt 5.15:
* 0001-Fix-build-with-Qt-5.15.patch

==== kscreen5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kscreen5-lang kscreen5-plasmoid

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* fix(kcm): avoid recursive OpacityMask which leads to teardown crash
(kde#419625)
* fix(kded): center action OSD on wayland (kde#397586)
* refactor(kcm): remove unused QTimer field
* feat(kded): add getAutoRotate method and rename lockAutoRotate
* fix(kcm): show output ids in reference to currently applied config
* fix (kcm): correct output identifier position on wayland (kde#385672)
* bump to require Qt 5.14
* fix(kded): watch config also when known config is applied
* feat(kded): add a dbus method to lock current rotation
* build: ignore clang-format file
* docs: update commit message guideline version
* fix(plasmoid): add smallSpacing to leftMargin
* feat(kcm): show resolution aspect ratio
* refactor: fix various compiler warnings

==== kscreenlocker ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* Add support for logging categories
* Take file descriptor only instead of whole KWayland Display
* Populate Greeter process exit stderr
* Fix disabeling of autolock timeout
* globalaccel: allow sleep and hibernate keyboard shortcuts
* Use K_PLUGIN_CLASS_WITH_JSON

==== ksshaskpass5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: ksshaskpass5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Enable hidpi pixmaps in ksshaskpass
* Remove too strict Qt/KF5 deprecation rule
* bump to require Qt 5.14
* Replace dead link
* Extend parsing ssh prompt

==== ksysguard5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: ksysguard5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* Rename binary kstats as it causes a conflict with other packages
(kde#421532)
* Fix the user message: it is allocated, not used
* ksysguardiface: Also exlude table and listview types from exposed sensors
* ksgrdiface: Revert change to "All" strings
* ksgrdiface: Use translated strings from KSysGuard::SysGuard library
* Add proper names for containers/objects created by ksgrdinterface plugin
* Add sensorinfo for sensorcontainers and sensorobjects
* Cleanup indentation
* Skip loading a plugin if it was already loaded
* Fix Messages.sh v2
* Fix Messages.sh
* Only build autotests when enabled
* Prefix disk name on size labels (kde#421513)
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Fix translation domain for ksysguard plugins
* Exclude all loop devices from partition and disk sensors
* Add context to translated strings and clarify some strings
* Use KSysGuard namespace for KSysGuard targets
* Add a new daemon for stats monitoring
* Remove too strict Qt/KF5 deprecation rule
* Add some new battery sensors : energy_now, energy_full and power_now.
* bump to require Qt 5.14
* Add per-partition total and all partitions sensors
* Add support for power sensors from lm-sensors
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.
* Linux/cpuinfo.c: grow buffer size as needed for 12+ core CPUs (kde#384515)
* Use safe hardcoded value for ProvidersUrl
* Unify ksysguard cpu clock speed names

==== kwayland-integration ====
Version update (5.18.5 -> 5.19.0)

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* [windowsystem] Provide a KWindowShadow implementation

==== kwin5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: kwin5-lang

- Add patch to fix loading the Plastik window decoration (boo#1172615):
* 0001-Fix-the-Plastik-decoration-with-Qt-5.15.patch
- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* [KCM] Fix label in Screen Edges system settings
* Capstone commit to prevent force push reversed commits returning
accidentally.
* [scene] Avoid a crash when currentPixmap is invalid and previousPixmap is
null or invalid
* [kcm/kwinrules] Fix "window role" combo not showing up (kde#422302)
* [kcm/kwinrules] Fix first item position on property list (kde#421583)
* [wayland] Fix misuse of EGL/eglmesaext.h (kde#422131)
* [effects/blur] Don't blur outside the frame rect (kde#422202)
* [kwinrules] Add kconf_update script to fix placement rule
* fix compilation, remove extra parenthesis
* Wayland: avoid binding disabled outputs to surfaces (kde#419749)
* Correctly align natural layout in present windows
* [kcm/kwinrules] Extend upper limit of position and size spinners
(kde#421892)
* [decoration] Fix propagation of client size (kde#419080)
* [platforms/drm] show cursor only when it is enabled (kde#418977)
* [scene] Re-build window quads after creating a WindowPixmap
* [kcm/kwinrules] Detect virtual desktops in Wayland (kde#416165)
* [kcm/kwinrules] Fix Placement setting (kde#421586)
* [kcm/kwinrules] Fix size properties not being stored (kde#421055)
* [kcm/kwinrules] Fix placeholder message in RulesEditor
- Remove patches, now upstream:
* 0001-scene-Re-build-window-quads-after-creating-a-WindowP.patch
- Reintroduce patch, apparently still needed:
* 0001-Revert-Make-WindowSwitching-Alt-Tab-the-default-left.patch
- Add patch to fix initial rendering of Xwayland windows:
* 0001-scene-Re-build-window-quads-after-creating-a-WindowP.patch
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Too many changes to list here
- Refresh patches:
* 0001-Bypass-wayland-interface-blacklisting.patch
* 0001-Use-Xauthority-for-Xwayland.patch
- Drop patch, upstream changes made it unnecessary:
* 0001-Revert-Make-WindowSwitching-Alt-Tab-the-default-left.patch

==== kwrited5 ====
Version update (5.18.5 -> 5.19.0)

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove too strict Qt/KF5 deprecation rule
* bump to require Qt 5.14

==== libcontainers-common ====
Version update (20200306 -> 20200603)

- Update to image 5.4.4
- Remove registries.conf VERSION 2 references from man page
- Intial authfile man page
- Add $HOME/.config/containers/certs.d to perHostCertDirPath
- Add $HOME/.config/containers/registries.conf to config path
- registries.conf.d: add stances for the registries.conf
- update to libpod 1.9.3
- userns: support --userns=auto
- Switch to using --time as opposed to --timeout to better match Docker
- Add support for specifying CNI networks in podman play kube
- man pages: fix inconsistencies
- Update to storage 1.19.1
- userns: add support for auto
- store: change the default user to containers
- config: honor XDG_CONFIG_HOME
- Remove the /var/lib/ca-certificates/pem/SUSE.pem workaround again.
It never ended up in SLES and a different way to fix the underlying
problem is being worked on.

==== libeconf ====
Version update (0.3.5+git20200203.3144b69 -> 0.3.7+git20200605.c67ef9a)
Subpackages: libeconf0 libeconf0-32bit

- Update to version 0.3.7+git20200605.c67ef9a:
* Fix build on i586
- Update to version 0.3.6+git20200529.276359f:
* Package meson files with autotools
* Use newer version of actions/checkout
* Add actions for meson
* Create meson.yml
* Use meson source root for tests configuration files
* Add additional compiler warnings
* First useable meson build support including unit tests
* Add global options, build with pie and GNU_SOURCE
* Fix name of library, add example binary
* add support for meson
* Add C++ compatibility
* Add test case for crash with empty value keys

==== libgexiv2 ====
Version update (0.12.0 -> 0.12.1)

- Update to version 0.12.1:
+ Support macOS dylib versioning
+ Improve compatibility with current exiv2 development versions
+ Fix compiling on windows
+ Fix issue with problematic symbol visibility of exiv2
+ Fix issues with tests overwriting environment variables
+ Fix exception escaping on division by zero
+ Fix overflow in altitude fraction conversion
+ Fix crash with experimental GIO support
+ Documentation fixes
+ Add gexiv2_metadata_update_gps_info which will not remove all
other GPS information
+ Bugs fixed: glgo#GNOME/gexiv2!41, glgo#GNOME/gexiv2!42,
glgo#GNOME/gexiv2!45, glgo#GNOME/gexiv2!52,
glgo#GNOME/gexiv2!53, glgo#GNOME/gexiv2!54,
glgo#GNOME/gexiv2!55.

==== libkdecoration2 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private7

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* Remove is-git-checkout condition for applying deprecated API visibility
* Only deprecate up to target frameworks
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* Only deprecate up to target frameworks
* Improve metainfo.yaml: mention FreeBSD support, drop tier mention, indent
* Use K_DOXYGEN instead of deprecated DOXYGEN_SHOULD_SKIP_THIS
* Enable publication of API dox on api.kde.org

==== libkscreen2 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* build: ignore clang-format file
* docs: update commit message guideline version
* fix: transfer tablet mode properties (kde#418739)
* fix: consider DSI display to be embedded panel
* feat(kwayland): enable the auto-rotation and tablet mode
* fix: handle when backend fails to load/initialize
* test: query correct output
* fix: reset doctor output color before exiting

==== libksysguard5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* properly access savedColors
* Fix sensorColors check
* Add missing formatter lib to sensordatamodel test
* Make SensorDataModel::sensorsChanged more stupid
* Add an autotest for SensorDataModel
* Don't magically add 180 degrees to start angle
* adapt to controller.sensorColors being a map
* Use Kirigami.Units instead of units
* ExtendedLegend: Don't try to access a non-existing sourceModel
* Fix crash on ProcessDataModel creation
* Compute new index as distance between begin and upper bound
* Remove "name" from SensorTreeItem
* SensorFaceController: Sort matches from SensorQuery when loading presets
* Add a simple autotest for sensortreemodel
* Replace TreeItem QVector children with QMap
* Do not have different KF API visible for developer & tarball builds
* Fix typos in BarChart Face
* [sensors] Avoid breaking IDs of nodes within SensorTreeModel (kde#421696)
* Remove stray import
* Add missing var keyword
* Elide sensor names in config view
* Build against correct translation domain
* Replace MapProxySource with some javascript code
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* use kns kpackage integration
* move knsrc files here
* proper color source
* support translations in faces
* fix SensorFaceController::compactRepresentation()
* Use INTERFACE IMPORTED target type instead of ALIAS for compatibility
targets
* Add KSysGuard::Sensors library
* Use KSysGuard namespace for KSysGuard library targets
* Add a declarative plugin to ProcessCore
* Add KSysGuard::Sensors library
* [KSysGuardProcessList] Port away from KRun
* bump to require Qt 5.14
* Use non-const iterators
* Make 'nonphysical' spelling consistent
* Introduce ProcessDataModel
* Fix Formatter library CMake
* Properly install the export header for the formatter lib
* Add license header to formatter test
* Separate processcore/{formatter,unit} into its own library
* Add missing includes
* Rename tests to autotests
* [ksgrd] Drop a QWidget dependency

==== libnma ====
Subpackages: libnma-lang libnma0 typelib-1_0-NMA-1_0

- Make libnma require mobile-broadband-provider-info(bsc#1172499).

==== libqmi ====
Version update (1.24.12 -> 1.24.14)
Subpackages: libqmi-glib5 libqmi-tools

- Update to version 1.24.14:
* libqmi-glib:
- Fix build with GLib < 2.44.
- Fix UTF-8 string validation when the string contains a
trailing NUL byte (e.g. the Sierra specific "DMS Swi Get
Current Firmware" command).

==== libqt5-qtlocation ====
Subpackages: libQt5Location5 libQt5Positioning5 libQt5PositioningQuick5

- Bump disk constraints to 5G for everyone
- Add ppc in _constraints to avoid "No space left on device"

==== libselinux ====
Subpackages: libselinux1 libselinux1-32bit selinux-tools

- Added skip_cycles.patch to skip directory cycles and not error
out

==== libsemanage ====
Subpackages: libsemanage-migrate-store libsemanage1

- Drop suse_path.patch: replace it with a grep/sed logic replacing
/usr/libexec in all files with the correct value for all distros
(taking into account that openSUSE is in progress of migrating
from /usr/lib to /usr/libexec).
- Apply suse_path.patch only for older distributions. Newer
use libexec

==== libvirt ====
Version update (6.3.0 -> 6.4.0)
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- libxl: Normalize MAC address in device conf on netdev hotplug
ec07aad8-libxl-normalize-mac-addr.patch
bsc#1172052
- Update to libvirt 6.4.0
- Many incremental improvements and bug fixes, see
https://libvirt.org/news.html
- Dropped patches:
d677de9d-libxl-fix-driver-name-check.patch,
d218a9c2-libxl-xen-driver-tables.patch,
836ea91d-libxl-xenlight-internal.patch,
57687260-xen-doc-improvements.patch

==== libzypp ====
Version update (17.23.5 -> 17.23.6)

- Revert "Enable zchunk on SLE-15-SP2".
- version 17.23.6 (22)

==== live555 ====
Version update (2020.04.24 -> 2020.05.15)
Subpackages: libBasicUsageEnvironment1 libUsageEnvironment3 libgroupsock8
libliveMedia79

- Update to version 2020.05.15:
+ Added a new filter class "ADTSAudioStreamDiscreteFramer" that
prepends ADTS headers to incoming AAC audio frames. This makes
the AAC audio playable (by media players).
+ Updated "openRTSP" to use a "ADTSAudioStreamDiscreteFramer"
when outputting a AAC audio stream.
+ Updated the "LIVE555 HLS Proxy" to support AAC audio tracks
(as well as H.264/5 video).
- Changes from version 2020.05.14:
+ Updated "H264or5VideoStreamDiscreteFramer" to add VPS,SPS,PPS
NAL units (if known) to the output stream, each time an
"access_unit_delimiter" NAL unit is added. This makes it more
likely that the Transport Stream segments produced by the
"LIVE555 HLS Proxy" will be understandable by a client browser.
+ Added support for H.265 video streams to the "LIVE555 HLS Proxy".
- Changes from version 2020.05.13:
+ Made the "MPEG2TransportStreamMultiplexor" segmentation mechanism
(used by "HLSSegmenter") more robust in case the Transport
Stream PTS is not monotonic non-decreasing.

==== mariadb ====
Version update (10.4.12 -> 10.4.13)
Subpackages: libmariadbd19 mariadb-client mariadb-errormessages

- rpm macros: $TEST_USER identified by $TEST_PASS is actually user
of the database for which client conf should be made for
- rpm macros: database name or names can be specified as a
%mysql_testserver_start and %mysql_testserver_cconf parameter
- modified sources
% macros.mariadb-test
- Build with oqgraph by default for all codestreams [jsc#SLE-12253]
- Update to 10.4.13
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10413-release-notes
https://mariadb.com/kb/en/library/mariadb-10413-changelog
* fixes for the following security vulnerabilities:
CVE-2020-2752, CVE-2020-2812, CVE-2020-2814, CVE-2020-2760,
CVE-2020-13249
- fixes [bsc#1168380] (the same as [bsc#1166781])
MDEV-21244 mysql_upgrade creating empty global_priv table support
upgrades from 5.2 privilege tables
- drop specfile "hacks" as things work correctly in upstream now:
* renaming tmpfiles.conf -> mariadb.conf
* installing pam_user_map.so to /lib64/security for non 32bit
architectures
* sysusers.conf was renamed to mariadb.conf
- update suse_skipped_tests.list

==== mercurial ====
Version update (5.4 -> 5.4.1)
Subpackages: mercurial-lang

- Mercurial 5.4.1:
* upstream release notes not available

==== milou5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: milou5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove too strict Qt/KF5 deprecation rule
* bump to require Qt 5.14
* Port deprecated method
* Fix minor EBN issues (http -> https)

==== mozilla-nss ====
Version update (3.51.1 -> 3.52.1)
Subpackages: libfreebl3 libfreebl3-hmac libsoftokn3 libsoftokn3-hmac
mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.52.1
* required for Firefox 77.0
Notable changes
* Update NSS to support PKCS#11 v3.0 (bmo#1603628)
* Support new PKCS #11 v3.0 Message Interface for AES-GCM and
ChaChaPoly (bmo#1623374)
* Integrate AVX2 ChaCha20, Poly1305, and ChaCha20Poly1305 from HACL*
(bmo#1612493)
* CVE-2020-12399 - Force a fixed length for DSA exponentiation
(bmo#1631576, boo#1171978)
- removed obsolete nss-kremlin-ppc64le.patch

==== mutter ====
Version update (3.36.2 -> 3.36.3+1)
Subpackages: libmutter-6-0 mutter-data mutter-lang

- Update to version 3.36.3+1:
+ Broadcast clipboard/primary offers.
+ Fix monitor screen cast on X11.
+ Implement touch-mode detecation for the X11 backend.
+ Drop external keyboard detection from touch-mode heuristics.
+ Fix leaked DMA buffers in screencasts.
+ Fixed various crashes.
+ Renderer-native: Don't leak DMA buffer CoglFramebuffer.

==== nautilus ====
Version update (3.36.2 -> 3.36.3)
Subpackages: gnome-shell-search-provider-nautilus libnautilus-extension1
nautilus-lang

- Update to version 3.36.3:
+ Fix broken tracker search engine under some locales.
+ Updated translations.

==== ncftp ====

- Fix build with GCC 10:
* Set gBm as extern only in bookmark.h
- Add ncftp-gcc10-gBm.patch

==== neon ====
Version update (0.30.2 -> 0.31.1)

- Update to 0.31.1
ADMIN: The neon website has moved to https://notroj.github.io/neon/
Restore ne_md5_read_ctx() in OpenSSL build.
Fix gcc warnings on Ubuntu (Jan-Marek Glogowski).
Fix various spelling mistakes in docs and headers (thanks to FOSSIES).
Fix ne_asctime_parse() (Eugenij-W).
Fix build with LibreSSL (Juan RP).
Interface changes:
none, API and ABI backwards-compatible with 0.27.x and later
New interfaces and features:
add more gcc ?nonnull? attributes to ne_request_* functions.
for OpenSSL builds, ne_md5 code uses the OpenSSL implementation
add NE_SESSFLAG_SHAREPOINT session flag which enables workarounds
for RFC non-compliance issues in Sharepoint
ne_uri.h: add ne_path_escapef() in support of above
ne_207.h: add ne_207_set_flags() likewise in support of above
API clarification:
ne_version_match() behaviour now matches actual 0.27+ ABI history
Bug fixes:
fixes for OpenSSL 1.1.1 and TLSv1.3 support
fix crash with GnuTLS in client cert support (Henrik Holst)
fix possible crash in ne_set_request_flag()
fix build with libxml2 2.9.10 and later
fix handling lock timeouts >LONG_MAX (Giuseppe Castagno)
- Upstream has moved to https://notroj.github.io/neon/
* tarball checksums are no longer provided
- Drop upstreamed patches:
* neon-0.30.2-nulcert.patch
* neon-0.30.2_ssl-fix_timeout_retvals.patch

==== nghttp2 ====
Version update (1.40.0 -> 1.41.0)

- Update to 1.41.0
* Fix CVE-2020-11080
* lib: Implement max settings option (Patch from James M Snell)
* lib: Earlier check for settings flood (Patch from James M Snell)
* lib: Fix receiving stream data stall (GH-1444)
* build: cmake: Make hard-coded static lib suffix optional (Patch from Viktor
Szakats) (GH-1418)
* third-party: Bump llhttp to 2.0.4 (GH-1442)
* nghttpx: Add PROXY-protocol v2 support (GH-1452)
* nghttpx: Fix get_x509_serial for long serial numbers (Patch from Jacky
Tian) (GH-1455)
* h2load: Allow port in --connect-to
* h2load: add --connect-to option (Patch from Lucas Pardue) (GH-1426)

==== nodejs14 ====
Version update (14.1.0 -> 14.4.0)
Subpackages: nodejs14-devel npm14

- Update to version 14.4.0:
* napi: fix various types of memory corruption in napi_get_value_string_*()
(CVE-2020-8174, bsc#1172443)
* http2: fix HTTP/2 Large Settings Frame DoS
(CVE-2020-11080, bsc#1172442)
* TLS session reuse can lead to host certificate verification bypass
(CVE-2020-8172, bsc#1172441)
- Update to version 14.3.0:
* repl: previews improvements with autocompletion
* it's now possible to use the await keyword outside of async functions,
with the --experimental-top-level-await flag
- Changes in version 14.2.0:
* console: Support for console constructor groupIndentation options
- skip_no_console.patch: refreshed
- versioned.patch, fix_ci_tests.patch: refreshed

==== obs-service-tar_scm ====
Version update (0.10.15.1588842879.5c43eef -> 0.10.16.1590752286.5c27247)
Subpackages: obs-service-obs_scm obs-service-obs_scm-common

- remove unused unittest2 dependency
- Update to version 0.10.16.1590752286.5c27247:
* [dist] fix for gbp/fedora (python*-base)
* fix situation when revision has been modified in _service

==== open-vm-tools ====
Subpackages: libvmtools0 open-vm-tools-desktop

- VMware has now asked that in updating to 11.1.0 (build 16036546) (boo#1171764)
to hold off on producing the open-vm-tools-sdmp service discovery plugin
(boo#1171765) for all SUSE versions due to the plugin's dependency on
netstat. Once they have removed the netstat dependency we will need to go
through the ECO process to get the plugin added.

==== openssh ====
Subpackages: openssh-helpers

- add upstream signing key to actually verify source signature

==== orca ====
Version update (3.36.2 -> 3.36.3)
Subpackages: orca-lang

- Update to version 3.36.3:
+ Fix crash related to non-standard tables.
+ Fix error using braille with JavaAtkWrapper.
+ Work around Qt not exposing STATE_CHECKABLE and/or using
ROLE_CHECK_MENU_ITEM on checkable menu items.
+ Fix presentation of Qt widgets labelled by their parent
container.
+ Updated translations.

==== oxygen5 ====
Version update (5.18.5 -> 5.19.0)

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14
* [kstyle] Properly unregister widgets in ShadowHelper
* Use defaults of KColorSchemeManager in ColorSchemeChooser
* [kstyle] Unregister a shadow when it's destroyed
* Port some deprecated methods
* Qt4 was dropped so we can use same KF5/QT5/ECM as other modules
* Port deprecated method
* Add override
* [kstyle] Port to KWindowSystem shadows API
* [kstyle] Drop Qt 4 style plugin

==== pam_ssh ====
Subpackages: pam_ssh-32bit

- Use -fcommon flag to build with GCC 10.

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-base patterns-base-basesystem
patterns-base-basic_desktop patterns-base-console patterns-base-documentation
patterns-base-enhanced_base patterns-base-minimal_base
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_enhanced

- re-add ppc64-diag on ppc64le (bsc#1098849).
- Suggest xz in base, as it is now required by aaa_base and we don't
want that zypper uses busybox instead [bsc#1172209]
- Re-add purge-kernels-service dependency (boo#1168727).
Support multiversion(kernel) with purge-kernels.service separated from dracut
(jsc#SLE-10162).
- Call perl directly in pre_checkin.sh. create_32bit-patterns_file.pl is not
executable when checked out from OBS.
- Skip bootloader in pre_checkin.sh
- Re-generate 32bit patterns.

==== pciutils ====
Version update (3.6.4 -> 3.7.0)
Subpackages: libpci3

- Update to 3.7.0:
* Add or improved the following capabilities:
Designated Vendor-Specific, Compute eXpress Link,
Resizable BARs, VF Resizable BARs, Link Capabilities 2,
Link Status 2
* On Linux, lspci can show IOMMU groups
* setpci can be asked to skip bus scan and operate on a device
completely specified by its domain/bus/dev/func address
* back-ends which do not support domains now correctly fail when
trying to access devices outside domain 0
- Add upstream keyging to verify source signature

==== pcsc-cyberjack ====

- Add patch to enable compile with gcc10
* pcsc-cyberjack-3.99.5final.SP09-gcc10.patch

==== perl-Bootloader ====
Version update (0.927 -> 0.928)

- merge gh#openSUSE/perl-bootloader#127
- use correct target name on aarch64 (bsc#1172293)
- 0.928

==== perl-CGI ====
Version update (4.47 -> 4.48)

- updated to 4.48
see /usr/share/doc/packages/perl-CGI/Changes
4.48 2020-06-02
[ FIX ]
- fix CGI::Cookie->bake() doesn't work with mod_perl redirects (GH #240)
- thanks to sherrardb for the PR (GH #241)

==== plasma-browser-integration ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma-browser-integration-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* [Reminder] Also advert Chromie store for Vivaldi and Brave
* Port KRun::runApplication to ApplicationLauncherJob
* Use player "poster" as album cover if available
* Signal player gone in "pagehide" not "beforeunload"
* Support Brave browser
* Don't offer sending non-http(s)/ftp links and sources via KDE Connect
* Bump manifest version
* Better vertically align checkboxes in media controls blacklist
* Add "document-share" icon for "Share..." context menu entry
* Add device icons to KDE Connect context menu
* Show purpose context menu only when enabled (kde#418436)
* [Purpose Plugin] Open shared URL when clicking notification
* Restore old Audio prototype after exportFunction (kde#414512)
* Provide light icon for dark mode via theme_icons (kde#414544)
* Also invert the generic Plasma logo in dark mode
* Set AA_UseHighDpiPixmaps
* linkText will be set to the URL when there is no label
* Set linkText as share title
* Manually merge stored and default settings
* Prefer to use currentSrc on player
* Emit change for CanSeek only if it actually changed
* Don't consider player gone when it only got temporarily added by us
* Update KDE Connect Website URL
* Catch getSubsystemStatus failing on initial load (kde#418487)
* Update copyright
* Add link to changelog on about page
* Also overwrite document.createElement using exportFunction
* Add better player tab crash handling (kde#419699)

==== plasma-nm5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Too many changes to list here
- Drop patches, now upstream:
* 0001-Use-system-color-scheme-from-Kirigami-instead-of-Pla.patch
* 0002-KCM-restore-original-color.patch

==== plasma5-addons ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma5-addons-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* set AcceptingInputStatus flag only when the text is in the panel
(kde#410612)
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Remove remaining icons from applets with custom tooltips
* Konsole Runner: optimize and simplify
* [applets/weather] Improve UX for selecting a weather station
* Port quicklaunch from KRun::run to CommandLauncherJob
* Remove too strict Qt/KF5 deprecation rule
* Port Konsole and Kate runners and dataengine away from KToolInvocation
* [runners/converter] Skip empty parts when splitting units
* Fix build
* Refactor foreach, use Qt5 signal syntax, remove unnecessary method call
* [applets/notes] Actually hide button row when it's not visible
* add missing include to fix freebsd build
* do not link qtest on the runner
* make convertrunner only build once
* use correct locale for thousand separator + force qlocale default
* Refactor converter runner
* characters: Refactoring, improve validation in kcm, optimize
* [applet/notes] Show a "remove" button on the button row
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.
* [applets/notes] Rename to "Sticky Note"
* [applets/notes] Only show configure button when focussed (kde#417608)
* Fix duplicate results for sessions, simplify and optimize
* Fix minor EBN issues: http -> https, newlines, licenses
* Fix minor EBN issues

==== plasma5-desktop ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma5-desktop-emojier plasma5-desktop-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* KCM Notifications: Open app page only after model is loaded
* [kimpanel] Make candidate index more visible.
* Emoji Panel: Use the right category component
* [Emoji panel] fix slowness introduced in the last patch
* [Emoji panel] search when the user begins typing
* [kcms/nightcolour] Reset needsSave after loading initial QML properties
(kde#411584)

==== plasma5-integration ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Use Standard "Show/Hide Hidden files" shortcuts in directory chooser dialog
* Raise size of default fixed-width font from 9 to 10pt
* Remove too strict Qt/KF5 deprecation rule
* Set cursor size default to 24 to align with KCM default value
* Fix build
* bump to require Qt 5.14
* Make it compile against qt5.15. SkipEmptyParts is part of Qt::.

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.19.0
- Update to 5.18.90

==== plasma5-pa ====
Version update (5.18.5 -> 5.19.0)
Subpackages: plasma5-pa-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Converted to page and added heading
* Add options for OSD feedback (kde#363983)
* bump to require Qt 5.14
* [KCM]Align volume controls row
* [KCM]Update Device item layout based on applet (kde#417607)
* [applet] For placeholder labels, disable rather than changing opacity
* [Applet]Improvements for unavailable port.
* [Applet]Correct raise max volume functions for mic
* [Applet]Always get valid device and stream name
* Fix minor EBN issue and typos
* [Applet] Display device name when there is than one device (kde#417079)
* [Applet]Fix device label problems (kde#417074,kde#417106)
* [Applet]Supplementary add port check
* [Applet]Add port check
* [Applet] Remove leftover in config window
* [Applet] Enable new global "Raise maximum volume" checkbox
* [Applet]Hide hamburger menu when empty
* [Applet]Add global mute function (kde#396835)
* [Applet] Make 'raise maximum volume' global
* [Applet]Update layout based on T10470

==== plasma5-thunderbolt ====
Version update (5.18.90 -> 5.19.0)
Subpackages: plasma5-thunderbolt-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90

==== plasma5-workspace ====
Version update (5.18.5 -> 5.19.0)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* appstreamrunner: do case insensitive comparisons
* Fix many results when query starts with =
* [notifications] don't widen the notifications on the mobile
* Kicker fix KRunner prepare/teardown method calls
* Bookmarks Runner: Fix extraction of firefox profile (kde#418526)
* [applets/systemtray] Fix configuraiton read on Plasma start
* [applets/systemtray] Consistent name/icon in System Tray settings
(kde#421561)
* [applets/systemtray] Lazy initialize SystemTray model (kde#420993)
* [applets/mediacontroller] Icon for Playing/Paused
* [applets/mediacontroller] Don't use Album Art for icon (kde#420197)
* Remove useless double line
* Make system tray impossible to resize again
* Revert "[applets/batterymonitor] Collapse inhibitions list properly"
* [Battery Monitor] Fix ScrollView anchoring
* [Notifications] Restore item spacing
* [Notifications] Don't take updated time into account for sorting
* [Kicker] Fix jump list actions in RunnerMatchesModel
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Too many changes to list here
- Drop patches, now upstream:
* 0001-Stop-multiplying-duration-values.patch

==== polari ====
Version update (3.36.2 -> 3.36.3)
Subpackages: polari-lang typelib-1_0-Polari-1_0

- Update to version 3.36.3:
+ Misc. bug fixes and cleanups.
+ Improve performance while idle.

==== policycoreutils ====
Subpackages: policycoreutils-lang python3-policycoreutils

- Pass the right value for LIBEXECDIR to make / make install
instead of trying to move the file around post install. This
caters for the planned change of libexecdir to change from
/usr/lib to /usr/libexec by injecting the right value no matter
what.
- Move pp binary to libexec directory instead of lib

==== polkit-kde-agent-5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* bump to require Qt 5.14

==== poppler ====
Version update (0.88.0 -> 0.89.0)
Subpackages: libpoppler-cpp0 libpoppler-glib8 poppler-tools

- update to version 0.89.0
+ core:
- Add support for ResetForm action
- Fix crash in PDFDoc::getSignatureFields when there's no Forms
at all
- Fix exporting to PS of some files with CID fonts
- Use ICC profiles in PS output (if new enough lcms is used)
- Allow almost-singular tiling pattern matrices
- Fix memory leak when failing to load some fonts
- CairoOutputDev: Use stroke opacity when clipping to a stroke
path
- CairoOutputDev: Fix tiling patterns when pattern cell is too
far
+ glib: Add poppler_movie_get_aspect
+ cpp: Add the font infos to the text_box object
- Bump poppler_sover following upstream changes.

==== poppler-qt5 ====
Version update (0.88.0 -> 0.89.0)

- update to version 0.89.0
+ core:
- Add support for ResetForm action
- Fix crash in PDFDoc::getSignatureFields when there's no Forms
at all
- Fix exporting to PS of some files with CID fonts
- Use ICC profiles in PS output (if new enough lcms is used)
- Allow almost-singular tiling pattern matrices
- Fix memory leak when failing to load some fonts
- CairoOutputDev: Use stroke opacity when clipping to a stroke
path
- CairoOutputDev: Fix tiling patterns when pattern cell is too
far
+ glib: Add poppler_movie_get_aspect
+ cpp: Add the font infos to the text_box object
- Bump poppler_sover following upstream changes.

==== powerdevil5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: powerdevil5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- No code changes since 5.18.90
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Close low battery notificaton when showing critical
* Make low battery notification critical
* bump to require Qt 5.14
* Properly store the powerdown action
* Improve powerdevil's main
* Revert "Fix build with Qt 5.15"
* Fix compilation with Qt 5.15, this hit the time bomb too
* Include comment for translators for Power Down
* Port deprecated method
* Fix build with Qt 5.15
* Improve the behaviour of the power button on mobile
* replace Q_FOREACH with for-range loop, should fix freeBSD compilation
* Use directly a QMultiHash here, as it used insertMulti

==== python-Mako ====

- %python3_only -> %python_alternative

==== python-Twisted ====
Version update (19.10.0 -> 20.3.0)

- Update to 20.3.0
* drop Python 2
* twisted.news is deprecated.
* twisted.conch.ssh now supports the curve25519-sha256 key exchange
algorithm (requires OpenSSL >= 1.1.0).
* many bugfixes and other miscelaneous fixes
- Fixed update-alternatives mechanism
- Added true-binary.patch
- Dropped python-38-xml-namespace.patch
- Reapplied python-38-hmac-digestmod.patch

==== python-appdirs ====
Version update (1.4.3 -> 1.4.4)

- update to 1.4.4:
- [PR #92] Don't import appdirs from setup.py
Project officially classified as Stable which is important
for inclusion in other distros such as ActivePython.
First of several incremental releases to catch up on maintenance.

==== python-certifi ====
Version update (2019.11.28 -> 2020.4.5.1)

- update to 2020.4.5.1:
adds Agencia Catalana de Certificacio (NIF Q-0801176-I) OU=Serveis
Publics de Certificacio/Vegeu

==== python-click ====
Version update (7.1.1 -> 7.1.2)

- update to 7.1.2:
Revert applying shell quoting to commands for ``echo_with_pager``
and ``edit``. This was intended to allows spaces in commands, but
caused issues if the string was actually a command and arguments, or
on Windows. Instead, the string must be quoted manually as it should
appear on the command line. :issue:`1514`

==== python-distro ====

- %python3_only -> %python_alternative

==== python-fastimport ====

- %python3_only -> %python_alternative

==== python-keyring ====
Version update (21.2.0 -> 21.2.1)

- update to 21.2.1:
* #426: Restored lenience on startup when entry point
metadata is missing.
* #423: Avoid RecursionError when initializing backends
when a limit is supplied.
- Fix the requirements to match reality of setup.cfg
- %python3_only -> %python_alternative

==== python-libvirt-python ====
Version update (6.3.0 -> 6.4.0)

- Update to 6.4.0
- Add all new APIs and constants in libvirt 6.4.0

==== python-lxml ====
Version update (4.5.0 -> 4.5.1)

- Update to 4.5.1
* LP#1570388: Fix failures when serialising documents larger
than 2GB in some cases.
* LP#1865141, GH#298: QName values were not accepted by the
el.iter() method. Patch by xmo-odoo.
* LP#1863413, GH#297: The build failed to detect libraries on
Linux that are only configured via pkg-config.

==== python-matplotlib ====
Subpackages: python3-matplotlib python3-matplotlib-cairo python3-matplotlib-gtk3

- Skip tests that randomly fail
- Run the tests on 64bit arm and intel only as elsewhere there are
>100 test failures
- Add patch no-builddir-freetype.patch to not require freetype
in build/ subfolder which we use in python macros
* This is SUSE specific patch
- Make the package multibuild and execute the testsuite
- Remove the is_opensuse literals as we don't want to have matplotlib
behave differently between openSUSE and SLE jsc#SLE-11752
- Remove the qt4 code support as we do just Qt5 everywhere

==== python-packaging ====
Version update (20.3 -> 20.4)

- update to 20.4:
* Canonicalize version before comparing specifiers. (:issue:`282`)
* Change type hint for ``canonicalize_name`` to return
``packaging.utils.NormalizedName``.
This enables the use of static typing tools (like mypy) to detect mixing of
normalized and un-normalized names.

==== python-pbr ====
Version update (5.4.4 -> 5.4.5)

- update to 5.4.5:
* Switch to Ussuri jobs

==== python-pyparsing ====

- unittest2 -> pytest

==== python-python-memcached ====

- replace nose with pytest

==== python-semanage ====

- Drop suse_path.patch: replace it with a grep/sed logic replacing
/usr/libexec in all files with the correct value for all distros
(taking into account that openSUSE is in progress of migrating
from /usr/lib to /usr/libexec).
- Apply suse_path.patch only for older distributions. Newer
use libexec

==== python-six ====
Version update (1.14.0 -> 1.15.0)

- update to 1.15.0:
- Pull request #331: Optimize `six.ensure_str` and `six.ensure_binary`.

==== python-urllib3 ====
Version update (1.25.8 -> 1.25.9)

- update to 1.25.9:
* Added ``InvalidProxyConfigurationWarning`` which is raised when
erroneously specifying an HTTPS proxy URL. urllib3 doesn't currently
support connecting to HTTPS proxies but will soon be able to
and we would like users to migrate properly without much breakage.
* Drain connection after ``PoolManager`` redirect (Pull #1817)
* Ensure ``load_verify_locations`` raises ``SSLError`` for all backends (Pull
#1812)
* Rename ``VerifiedHTTPSConnection`` to ``HTTPSConnection`` (Pull #1805)
* Allow the CA certificate data to be passed as a string (Pull #1804)
* Raise ``ValueError`` if method contains control characters (Pull #1800)
* Add ``__repr__`` to ``Timeout`` (Pull #1795)

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-nfs qemu-block-rbd qemu-block-ssh qemu-extra
qemu-guest-agent qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-microvm qemu-ppc
qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk
qemu-ui-sdl qemu-ui-spice-app qemu-vgabios qemu-vhost-user-gpu qemu-x86

- Work around gcc 10 bug (boo#1172411)
build-Work-around-gcc10-bug-by-not-using.patch
- Now that gcc10 compatibility is figured out, remove NO_WERROR=1
again from ipxe make.
- Fix segfault when doing HMP wavcapture (boo#1171712)
audio-fix-wavcapture-segfault.patch

==== qemu-linux-user ====

- Work around gcc 10 bug (boo#1172411)
build-Work-around-gcc10-bug-by-not-using.patch
- Now that gcc10 compatibility is figured out, remove NO_WERROR=1
again from ipxe make.
- Fix segfault when doing HMP wavcapture (boo#1171712)
audio-fix-wavcapture-segfault.patch

==== redis ====
Version update (6.0.1 -> 6.0.4)

- redis 6.0.4:
* fix a severe replication bug introduced in Redis 6 by the
"meaningful offset" feature
- redis 6.0.3:
* fix a crash introduced in 6.0.2
- includes changes from 6.0.2:
* bug fixes
* fix to client side caching when keys are evicted from the
tracking table but no notifications are sent

==== rubygem-websocket-extensions ====
Version update (0.1.4 -> 0.1.5)

- updated to version 0.1.5
* CVE-2020-7663: Remove a ReDoS vulnerability in the header parser
(bsc#1172445)

==== samba ====
Version update (4.12.2+git.152.c5bf9f6da52 -> 4.12.3+git.161.208cf9730ee)
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr1 libndr1-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-policy0-python3 libsamba-util0 libsamba-util0-32bit libsamdb0
libsamdb0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap2
libsmbldap2-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba-client samba-client-32bit samba-libs samba-libs-32bit
samba-libs-python3 samba-python3 samba-winbind samba-winbind-32bit

- add libnetapi-devel to baselibs conf, for wine usage (bsc#1172307)
- Add system-user-nobody to samba package requirements
- Update to samba 4.12.3
+ Fix smbd panic on force-close share during async io; (bso#14301);
+ s3: vfs_full_audit: Add missing fcntl entry in vfs_op_names[] array;
(bso#14343);
+ vfs_io_uring: Fix data corruption with Windows clients; (bso#14361);
+ Fix smbd crashes when MacOS Catalina connects if iconv initialization
fails; (bso#14372);
+ Exporting from macOS Adobe Illustrator creates multiple copies;
(bso#14150);
+ smbd does a chdir() twice per request; (bso#14256);
+ smbd mistakenly updates a file's write-time on close; (bso#14320);
+ vfs_shadow_copy2: implement case canonicalisation in
shadow_copy2_get_real_filename(); (bso#14350);
+ Fix Windows 7 clients problem after upgrading samba file server;
(bso#14375);
+ s3: Pass DCE RPC handle type to create_policy_hnd; (bso#14359);
+ Fix uxsuccess test with new MIT krb5 library 1.18; (bso#14155);
+ mit-kdc: Explicitly reject S4U requests; (bso#14342);
+ dbwrap_watch: Set rec->value_valid while returning nested
share_mode_do_locked(); (bso#14352);
+ lib:util: Fix smbclient -l basename dir; (bso#14345);
+ s3:libads: Fix ads_get_upn(); (bso#14336);
+ ctdb: Fix a memleak; (bso#14348);
+ Malicous SMB1 server can crash libsmbclient; (bso#14366);
+ ldb: Bump version to 2.1.3, LMDB databases can grow without bounds;
(bso#14330);
+ vfs_io_uring: Fix data corruption with Windows clients; (bso#14361);
+ s3/librpc/crypto: Fix double free with unresolved credential cache;
(bso#14344);
+ docs-xml: Fix usernames in pam_winbind manpages; (bso#14358);
- Installing: samba - samba-ad-dc.service does not exist and unit
not found; (bsc#1171437);

==== shared-mime-info ====
Subpackages: shared-mime-info-lang

- Revert the previous change, we should not own
/usr/share/mime/application: ref the spec upstream, this is
wrong. Any application depending on this previous error needs to
be fixed on a individual basis. Upstream ref:

https://specifications.freedesktop.org/shared-mime-info-spec/shared-mime-info-spec-0.18.html#idm45709761658688

==== simple-scan ====
Version update (3.36.2.1 -> 3.36.3)
Subpackages: simple-scan-lang

- Update to version 3.36.3:
+ Change the size of the paper to avoid visual glitches.
+ Disable possibility of scanning if no device is found, to avoid
unnecessary errors.

==== systemsettings5 ====
Version update (5.18.5 -> 5.19.0)
Subpackages: systemsettings5-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* don't try to access invalid modules (kde#422029)
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* Add global shortcut
* Support module commandline paramenter
* Port from KRun::runService to KIO::ApplicationLauncherJob
* Use correct icon for Applications category
* bump to require Qt 5.14
* Hide configure action in Info center mode (kde#417977,kde#417981)
* If KHelpCenter isn't available fallback to opening doc at docs.kde.org
(kde#405647)
* Handle spawning kinfocenter with a full path
* delay show window
* Introduce an Info Center mode (kde#412975)

==== transmission ====
Version update (2.94 -> 3.00)
Subpackages: transmission-common transmission-gtk transmission-gtk-lang

- Update to transmission 3.00:
+ Common:
- Allow the RPC server to listen on an IPv6 address.
- Change TR_CURL_SSL_VERIFY to TR_CURL_SSL_NO_VERIFY and enable
verification by default.
- Go back to using hash as base name for resume and torrent
files.
- Handle "fields" argument in "session-get" RPC request.
- Limit the number of incorrect authentication attempts in
embedded web server to 100 to prevent brute-force attacks.
- Set idle seed limit range to 1..40320 (4 weeks tops) in all
clients.
- Add Peer ID for Xfplay, PicoTorrent, Free Download Manager,
Folx, Baidu Netdisk torrent clients.
- Announce INT64_MAX as size left if the value is unknown.
- Add TCP_FASTOPEN support.
- Improve ToS handling on IPv6 connections.
- Abort handshake if establishing DH shared secret fails.
- Don't switch trackers while announcing.
- Maintain a "session ID" file (in temporary directory) to
better detect whether session is local or remote.
- Change torrent location even if no data move is needed.
- Support CIDR-notated blocklists.
- Update the resume file before running scripts.
- Make multiscrape limits adaptive.
- Add label support to libtransmission and transmission-remote.
- Parse session-id header case-insensitively.
- Sanitize suspicious path components instead of rejecting
them.
- Add support for mbedtls (formely polarssl) and wolfssl
(formely cyassl), LibreSSL.
- Fix building against OpenSSL 1.1.0+.
- Fix a number of memory leaks (magnet loading, session
shutdown, bencoded data parsing).
- Bump miniupnpc version to 2.0.20170509.
- Switch to submodules to manage (most of) third-party
dependencies.
+ GTK:
- Add queue up/down hotkeys.
- Modernize the .desktop file.
- Add AppData file.
- Add symbolic icon variant for the Gnome top bar and.
when the high contrast theme is in use.
- Update file icon when its name changes.
- Switch from intltool to gettext for translations.
+ QT:
- Bump minimum Qt version to 5.2.
- Fix dropping .torrent files into main window on Windows .
- Fix prepending of drive letter to various user-selected paths
on Windows.
- Fix sorting by progress in presence of magnet transfers.
- Fix .torrent file trashing upon addition.
- Add queue up/down hotkeys.
- Reduce torrent properties (file tree) memory usage.
- Display tooltips in torrent properties (file tree) in case
the names don't fit.
- Improve UI look on hi-dpi displays.
- Use session ID (if available) to check if session is local
or not.
- Use default (instead of system) locale to be more flexible.
- Modernize the .desktop file.
+ Daemon:
- Use libsystemd instead of libsystemd-daemon.
- Harden transmission-daemon.service by disallowing privileges elevation.
- Fix exit code to be zero when dumping settings.
+ Web Client:
- Fix tracker error XSS in inspector.
- Fix performance issues due to improper use of setInterval()
for UI refresh.
- Fix recognition of https:// links in comments field.
- Fix torrent list style in Google Chrome 59+.
- Show ETA in compact view on non-mobile devices.
- Show upload file button on mobile devices.
- Add keyboard hotkeys for web interface.
- Disable autocompletion in torrent URL field.
- Remove transmission-3rdparty-no-download.patch,
transmission-appdata.patch andRemove transmission-systemd.patch:
merged upstream.
- Change build system from cmake to autoconf: replace
%cmake/%cmake_build/%cmake_install with
%configure/%make/%make_install.

==== vte ====
Version update (0.60.2 -> 0.60.3)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91 vte-lang

- Update to version 0.60.3:
* widget:
- Fix underlining the space character in a matched regex
- Notify correct property when setting the scroll-on-keystroke
- Set error from vte_terminal_set_encoding when built without
ICU
* pty: Call grantpt/unlockpt when opening the PTY
* icu: glue: Set error callback on the from-unicode conversion
* lib: Fix switching between legacy encodings
* all: Fix the build without ICU
* docs: Add index for API new in 0.60

==== xdg-desktop-portal-kde ====
Version update (5.18.5 -> 5.19.0)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.19.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
* Screencast: add information about the source type which is being shared
* Background portal: do not notify about apps in background when we don't
track them
* Background portal: correctly send respond whether we allow application in
the background
- Update to 5.18.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.90.php
- Changes since 5.18.5:
* FileChooser portal: add support for opening directories
* Screensharing: support variable stride
* Make PipeWire, GBM and Epoxy libs as required dependencies
* Return buffer to pipewire when returning early from recordFrame
* Send notification when screencasting fails
* Add background portal
* ScreenSharing: close dialogs when session is closed
* Send notification when screencasting fails
* bump to require Qt 5.14
* Avoid copying buffer twice (kde#419209)
* Add new Account portal
* Make it possible to stream only input
* Return if the process couldn't be properly registered

==== xfce4-cpufreq-plugin ====
Subpackages: xfce4-cpufreq-plugin-lang

- add -fcommon to CFLAGS as temporary work around for gcc10 default
changes

==== xfce4-sensors-plugin ====
Subpackages: xfce4-sensors-plugin-lang

- add -fcommon to CFLAGS as temporary workaround for gcc10 default
changes

==== xkeyboard-config ====
Version update (2.29 -> 2.30)
Subpackages: xkeyboard-config-lang

- Update to version 2.30
* bugfix release

==== xorg-x11-server ====
Subpackages: xorg-x11-server-Xvfb xorg-x11-server-extra xorg-x11-server-sdk
xorg-x11-server-wayland

- U_glamor_egl-Reject-OpenGL-2.1-early-on.patch
* GLAMOR: no longer bail out for OpenGL drivers < 2.1 (boo#1172321)


< Previous Next >
This Thread
  • No further messages